@import url('https://fonts.googleapis.com/css2?family=DM+Sans:ital,opsz,wght@0,9..40,100..1000;1,9..40,100..1000&family=Epilogue:ital,wght@0,100..900;1,100..900&display=swap');

:root {
    --azul-escuro-primario: #003152;
    --azul-claro-secundario: #66a6fe;
    --azul-claro-terciario: #a8d6e5;
    --verde-escuro-secundario: #3c6d71;
    --verde-claro-secundario: #7ab8ab;
    --branco: #fff;
    --preto: #000;
    --salmon: #c89a8d;
}
html {
    scroll-behavior: smooth;
}
body {
    margin: 0;
    font-family: 'Epilogue', Arial, sans-serif;
}
/*Link Âncora do header - acessiblidade*/
.screen-reader-shortcut {
    position: absolute;
    top: -1000em;
    left: 6px;
    height: auto;
    width: fit-content;
    display: block;
    font-size: 14px;
    font-weight: 600;
    padding: 15px 23px 14px;
    background: var(--verde-escuro-secundario);
    color: var(--branco);
    z-index: 100000;
    line-height: normal;
}
.screen-reader-shortcut:hover {
    color: var(--branco);
}
.screen-reader-shortcut:focus {
    top: 10px;
    outline: 2px solid var(--preto);
    outline-offset: -2px;
}
/*Nav Header*/
nav.menu-header {
    width: 100%;
    max-height: 90px;
    padding: 15px 0;
    display: flex;
    align-items: center;
    justify-content: space-between;
}
nav.menu-header #siteLogo .custom-logo-link {
    color: var(--preto);
}
nav.menu-header #menuPrincipal ul {
    list-style: none;
    display: flex;
    align-items: center;
    padding: 0;
    margin: 0;
}
nav.menu-header #menuPrincipal ul li a {
    color: var(--azul-escuro-primario);
    font-weight: 600;
    padding: 5px;
}
nav.menu-header #menuPrincipal ul li a:hover {
    text-decoration: none;
}
nav.menu-header #menuPrincipal ul li {
    border-bottom: solid 2px var(--branco);
    margin: 0 15px;
}
nav.menu-header #menuPrincipal ul li:hover,
nav.menu-header #menuPrincipal ul li.active {
    border-color: var(--salmon);
}
.menu-topo-mobile {
    display: none;
}
/*Footer*/
footer {
    width: 100%;
    min-height: 100px;
    background-color: var(--azul-escuro-primario);
    padding: 30px 0;
    position: relative;
}
.footer-copyright {
    width: 100%;
    min-height: 60px;
    color: var(--branco);
    background-color: #7ab8ab;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    font-family: "Epilogue", sans-serif;
    font-size: 0.9rem;
}
footer div#whatsapp-float {
    width: fit-content;
    max-height: 60px;
    position: fixed;
    right: 25px;
    bottom: 40px;
    transition: bottom 0.3s ease-in-out;
}
footer #whatsapp-float.whatsapp-elevated {
    bottom: 100px;
}
footer .redes-sociais {
    display: flex;
    align-items: center;
    justify-content: flex-end;
}
footer .redes-sociais ul {
    display: flex;
    list-style: none;
    padding: 0;
    margin: 0;
}
footer .redes-sociais ul li {
    margin: 0 10px;
}
footer .redes-sociais p {
    font-size: 1rem;
    font-weight: 500;
    color: var(--branco);
}
footer .redes-sociais p span {
    color: var(--verde-claro-secundario);
}
/*Botão para retornar ao topo*/
.back-to-top {
    position: fixed;
    display: none;
    width: 38px;
    height: 38px;
    right: 33px;
    bottom: 25px;
    background-color: transparent;
    background-image: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="38" height="38" viewBox="0 0 38 38"><rect id="Retângulo_67592" data-name="Retângulo 67592" width="38" height="38" rx="5" fill="%233c6d71"/><g id="Grupo_133695" data-name="Grupo 133695" transform="translate(19 12.296) rotate(45)"><path id="Icon_feather-arrow-down-right" data-name="Icon feather-arrow-down-right" d="M19.982,19.982,10.5,10.5m0,9.482V10.5h9.482" transform="translate(-10.5 -10.5)" fill="none" stroke="%23fff" stroke-linecap="round" stroke-linejoin="round" stroke-width="2"/></g></svg>');
    background-repeat: no-repeat;
    background-size: auto;
    background-position: center center;
    transition: display 0.5s ease-in-out;
    z-index: 99999;
    border: 0;
    border-radius: 10px;
}
.back-to-top:hover {
    background-color: #F05201;
    transition: 0.3s ease-in-out;
    border-radius: 10px;
}
/*Menu Mobile*/
nav.menu-header .mobile__toggleMenu {
    background-color: var(--azul-escuro-primario);
    border-color: var(--azul-escuro-primario);
    border-radius: 6px;
}
footer .mobile__Menu {
    background-color: #3c6d71;
    color: var(--preto);
    position: fixed;
    transition: ease-in .2s;
    left: -2000px;
    top: 0;
    width: 100vw;
    height: 100dvh;
    z-index: 1;
}
footer .mobile__Menu.active {
    animation: fadeIn .1s;
    top: 0;
    left: 0;
}
footer ul.menu {
    list-style: none;
    padding: 0;
    margin: 0;
}
footer ul.menu li {
    padding: 20px 0;
    border-bottom: solid 1px #fff;
    border-radius: 0 0 5px 5px;
}
footer ul.menu li a {
    font-family: 'Epilogue', sans-serif;
    font-size: 1.1rem;
    font-weight: 600;
    color: #fff;
}
@keyframes fadeIn {
    0% { opacity: 0; }
    100% { opacity: 1; }
}
@media(max-width:1024px) {
    .menu-topo-mobile {
        display: block;
    }
}
@media(max-width: 500px) {
    #menuPrincipal {
        display: none;
    }
    footer .logo-rodape {
        text-align: center;
        margin-bottom: 30px;
    }
    footer .redes-sociais {
        justify-content: center;
    }
}